Get a Collection Tag Rule

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-reference.arta.io/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Arta API Reference MCP server": {
    "url": "https://api-reference.arta.io/mcp"
  }
}

Close
GET /collection_tag_rules/{collection_tag_rule_id}

Retrieve a specific tag rule by its ID.

Headers

  • Authorization string Required

    Authorize your API calls with an Arta API token

Path parameters

  • collection_tag_rule_id string(uuid) Required

    collection_tag_rule_id parameter

Responses

  • 200 application/json

    Successful Collection Tag Rule response

    Hide headers attributes Show headers attributes
    • content-type string
    • x-arta-request-id string

      A unique identifier for the Arta API call

    Hide response attributes Show response attributes object
    • created_at string(date-time)

      A NaiveDatetime-formatted timestamp describing when the resource was created with microsecond precision

    • id string(uuid)

      The ID of the collection tag rule in UUID format

    • pattern string

      The pattern to match against shipment tags. For exact match, this should be the exact tag name. For pattern_match, supports * wildcard.

      Maximum length is 100.

    • tag_id uuid

      The ID of the Tag this rule applies to. If provided, the rule will only apply to shipments with this tag.

    • updated_at string(date-time)

      A NaiveDatetime-formatted timestamp describing when the resource was last updated with microsecond precision

  • 404 application/json

    Not Found

    Hide headers attributes Show headers attributes
    • content-type string
    • x-arta-request-id string

      A unique identifier for the Arta API call

    Hide response attribute Show response attribute object
    • errors object
      Hide errors attribute Show errors attribute object
      • detail string
GET /collection_tag_rules/{collection_tag_rule_id}
curl \
 --request GET 'https://api.arta.io/collection_tag_rules/{collection_tag_rule_id}' \
 --header "Authorization: ARTA_APIKey s0e1t2e3c4a5s6t7r8o9n10o11m12y"
Response examples (200)
# Headers
content-type: application/json
x-arta-request-id: FkBjuxbwLLTx4RoAARkx

# Payload
{
  "created_at": "2024-09-25T19:17:54.871490",
  "id": "f7e4b35b-5131-47c2-9a88-238bd6e62e2d",
  "pattern": "seller-a-*",
  "tag_id": "my-tag",
  "updated_at": "2024-09-25T19:19:01.648283"
}
Response examples (404)
# Headers
content-type: application/json
x-arta-request-id: FkBjuxbwLLTx4RoAARkx

# Payload
{
  "errors": {
    "detail": "string"
  }
}